<?php
/**
 * @package Hey Cookie
 */

require_once ( get_template_directory() . '/theme-options.php' );

function hey_cookie_print_styles() {

	global $hey_cookie_standardclass;

	wp_enqueue_script( 'jquery' );
	wp_register_script( 'orbit-plugin', get_template_directory_uri() . '/jquery.orbit-1.2.3.js', array( 'jquery' ) );
	wp_register_script( 'slider', get_template_directory_uri() . '/slider.js', array( 'orbit-plugin' ) );
	wp_enqueue_script( 'orbit-plugin', array( 'jquery' ) );
	wp_enqueue_script( 'slider', array( 'jquery' ) );

	$options = get_option('hey_cookie_theme_options');

	$hey_cookie_sidebarnumber = $options['sidebarnumber'];
	$hey_cookie_sidebarplacement = $options['sidebarplacement'];
	$hey_cookie_themestyle = $options['themestyle'];
	$hey_cookie_customcss = $options['customcss'];
	$hey_cookie_accentcolor = $options['accentcolor'];
	$hey_cookie_responsive = $options['responsive'];

	/*if( isset( $hey_cookie_responsive ) && $hey_cookie_responsive == 1 ) {
		wp_register_style( 'hcmedia', get_template_directory_uri() . '/media.css' );
		wp_enqueue_style( 'hcmedia' );
	}
	else {*/
		wp_register_style( 'hcmediaie', get_template_directory_uri() . '/ie.css' );
		wp_enqueue_style( 'hcmediaie' );
	//}

	if ( isset( $options['blogstyle'] ) && $options['blogstyle'] ) {
		$blogstyle = $options['blogstyle'];
	}
	else {
		$blogstyle = '';
	}

	if ( 'left' == $hey_cookie_sidebarplacement ) { ?>
		<style type='text/css'>
		<!-- ul.sidebar {
			float: left;
			margin: 0 40px 0 0;
		}
		.content {
			float: right;
		} -->
		</style>
	<?php }
	if ( 'none' == $hey_cookie_sidebarnumber ) { ?>
		<style type='text/css'>
		<!--
		.content,
		.grid-blog-template.page.home .content {
			width: 100% !important;
		}
		.content img,
		.grid-blog-template.page.home .content img {
			max-width: 100% !important;
		} -->
		</style>
	<?php }
	if ( 'two' == $hey_cookie_sidebarnumber ) { ?>
		<style type='text/css'>
		<!--
		.content,
		.grid-blog-template.page.home .content {
			width: 620px !important;
		}
		.content img
		.grid-blog-template.page.home .content img {
			max-width: 620px !important;
		} -->
		</style>
	<?php }
	if ( 'both' == $hey_cookie_sidebarplacement ) { ?>
		<style type='text/css'>
		<!-- ul#sidebar1 {
			float: left;
			margin: 0 40px 0 0;
		}
		ul#sidebar2 {
			float: right;
			margin: 0 0px 0 40px;
		}
		-->
		</style>
		<?php }
		if ( 'left' == $hey_cookie_sidebarplacement ) { ?>
		<style type='text/css'>
		<!--
		.mini-grid-thumbnail {
			float: left !important;
		}
		-->
		</style>
	<?php }

	if ( 'standard' == $blogstyle ) { ?>
	<style type='text/css'>
	<!--
	.home .content,
	.archive .content {
		width: 830px !important;
	}
	-->
	</style>
	<?php }

	if ( $hey_cookie_accentcolor && ! is_admin() ) {
	?>
	<style type='text/css'>
	<!--
	.current-post,
	.current-post-hover {
		border-left: 15px solid <?php echo $hey_cookie_accentcolor; ?> !important;
	}
	.featured-post {
		border-left: 40px solid <?php echo $hey_cookie_accentcolor; ?> !important;
	}
	.mini-grid .featured-post {
		border-left: 15px solid <?php echo $hey_cookie_accentcolor; ?> !important;
	}
	.postmetadata {
		border-bottom: 4px solid <?php echo $hey_cookie_accentcolor; ?> !important;
	}
	a:link,
	a:visited,
	.title a:link,
	.title a:visited,
	.title a:hover,
	.title a:active,
	.slider-item-title a:link,
	.slider-item-title a:visited,
	.slider-item-title a:hover,
	.slider-item-title a:active,
	.big-grid-thumbnail h2.page_title,
	.orbit-bullets li.active {
		color: <?php echo $hey_cookie_accentcolor; ?> !important;
	}
	-->
	</style>
<?php	}

	if ( get_background_color() ) {
		$color = get_background_color();
		?>
		<style type='text/css'>
		<!--
		.featured-post,
		.mini-grid .featured-post,
		.current-post,
		.current-post-hover {
			border-top-color: #<?php echo $color; ?> !important;
		}
		-->
		</style>
	<?php }

	if ( file_exists( get_template_directory() . '/dark.css' ) && 'dark' == $hey_cookie_themestyle && ! is_admin() ) {
		wp_register_style( 'hey_cookie_dark', get_template_directory_uri() . '/dark.css' );
		wp_enqueue_style( 'hey_cookie_dark' );
	}

	if ( $hey_cookie_customcss ) {
		echo "<style type='text/css'>";
		echo $hey_cookie_customcss;
		echo "</style>";
	}

	wp_register_style('googleFonts', 'http://fonts.googleapis.com/css?family=Poly');
	wp_enqueue_style( 'googleFonts');

	if ( 'standard' == $blogstyle ) {
		$hey_cookie_standardclass = "standard-blog-template";
	}
	else {
		$hey_cookie_standardclass = "grid-blog-template";
	}

}

add_action( 'wp_enqueue_scripts', 'hey_cookie_print_styles' );

function hey_cookie_sidebars() {

	$options = get_option('hey_cookie_theme_options');

	$hey_cookie_sidebarnumber = $options['sidebarnumber'];

	register_sidebar( array(
		'id' => 'sidebar1',
		'name' => __( 'Sidebar 1' , 'hey-cookie' ),
		'before_widget' => '<li id="%1$s" class="widget %2$s">',
		'after_widget' => '</li>',
		'before_title' => '<h2 class="widgettitle">',
		'after_title' => '</h2>'
		)
	);

	if ( 'none' == $hey_cookie_sidebarnumber ) {

		unregister_sidebar( 'sidebar1', 11 );

	}
	else if ( 'two' == $hey_cookie_sidebarnumber ) {

		register_sidebar( array(
			'id' => 'sidebar2',
			'name' => __( 'Sidebar 2' , 'hey-cookie' ),
			'before_widget' => '<li id="%1$s" class="widget %2$s">',
			'after_widget' => '</li>',
			'before_title' => '<h2 class="widgettitle">',
			'after_title' => '</h2>'
			)
		);
	}

	register_sidebar( array(
		'id' => 'footer-sidebar1',
		'name' => __( 'Footer Sidebar 1' , 'hey-cookie' ),
		'before_widget' => '<li id="%1$s" class="widget %2$s">',
		'after_widget' => '</li>',
		'before_title' => '<h2 class="widgettitle">',
		'after_title' => '</h2>'
		)
	);
	register_sidebar( array(
		'id' => 'footer-sidebar2',
		'name' => __( 'Footer Sidebar 2' , 'hey-cookie' ),
		'before_widget' => '<li id="%1$s" class="widget %2$s">',
		'after_widget' => '</li>',
		'before_title' => '<h2 class="widgettitle">',
		'after_title' => '</h2>'
		)
	);
	register_sidebar( array(
		'id' => 'footer-sidebar3',
		'name' => __( 'Footer Sidebar 3' , 'hey-cookie' ),
		'before_widget' => '<li id="%1$s" class="widget %2$s">',
		'after_widget' => '</li>',
		'before_title' => '<h2 class="widgettitle">',
		'after_title' => '</h2>'
		)
	);
	register_sidebar( array(
		'id' => 'footer-sidebar4',
		'name' => __( 'Footer Sidebar 4' , 'hey-cookie' ),
		'before_widget' => '<li id="%1$s" class="widget %2$s">',
		'after_widget' => '</li>',
		'before_title' => '<h2 class="widgettitle">',
		'after_title' => '</h2>'
		)
	);

}

add_action( 'widgets_init', 'hey_cookie_sidebars' );

function hc_admin_scripts() {

	wp_register_script( 'sidebar-controls', get_template_directory_uri() . '/sidebars.js' );
	$hey_cookiedirectory = array( 'directory' => get_template_directory_uri() . "/images/" );
	wp_localize_script( 'sidebar-controls', 'template', $hey_cookiedirectory );

	wp_enqueue_script( 'sidebar-controls' );

}

add_action( 'admin_init', 'hc_admin_scripts' );

function hc_slider() {

	global $post;

	$options = get_option('hey_cookie_theme_options');

	$hey_cookie_slidernumber = $options['slidernumber'];
	$hey_cookie_sliderfocus = $options['sliderfocus'];

	if ( 'featured' == $hey_cookie_sliderfocus ) {
		$testcat = new WP_Query( 'category_name=featured' );
		if ( $testcat->have_posts() ) {
			$slider_posts = get_posts( array( 'numberposts' => $hey_cookie_slidernumber, 'category_name' => 'featured', 'orderby' => 'post_date' ) );
		}
	}
	else if ( 'recent' == $hey_cookie_sliderfocus ) {
		$slider_posts = get_posts( array( 'numberposts' => $hey_cookie_slidernumber, 'orderby' => 'post_date' ) );
	}
	else {
		return;
	}

	if ( isset( $slider_posts ) ) {
?>
		<div id="featured">
			<?php foreach( $slider_posts as $post ) : setup_postdata($post); ?>
				<div class="slider-item" id="content-<?php the_ID(); ?>">
					<div class="slider-item-img">
						<?php

						$args = array(
							'post_type' => 'attachment',
							'numberposts' => 1,
							'post_status' => null,
							'post_parent' => $post->ID,
							'post_mime_type' => 'image' );
						$attachments = get_posts($args);

						if ( has_post_thumbnail() ) {
							the_post_thumbnail();
						}

						else if ( $attachments ) {
							foreach ( $attachments as $attachment ) {
								$thumburl = wp_get_attachment_image_src( $attachment->ID, 'large' ); ?>
								<img src="<?php echo $thumburl[0]; ?>" alt="<?php the_title_attribute(); ?>" />
					<?php	}
						}

						?>
					</div>
					<div class="slider-item-info">
		            	<h1 class="slider-item-title"><a href="<?php the_permalink() ?>"><?php the_title() ?></a></h1>
		            	<div class="slider-item-excerpt"><?php the_excerpt() ?></div>
		            </div>
		        </div>
			<?php endforeach; ?>
		</div>
<?php
	}
}

/**
 * Minigrid Class
 */
class Minigrid_Widget extends WP_Widget {
	/** constructor */
	function __construct() {
		parent::WP_Widget( 'minigrid_widget', 'Minigrid', array( 'description' => 'Displays recent posts as post thumbnails in grid format' ) );
	}

	/** @see WP_Widget::widget */
	function widget( $args, $instance ) {
		extract( $args );
		$title = apply_filters( 'widget_title', $instance['title'] );
		$numberposts = apply_filters( 'widget_numberposts', $instance['numberposts'] );
		echo $before_widget;
		if ( $title )
			echo $before_title . $title . $after_title;
		global $post;
		$current = $post->ID;
		$sidebar_posts = get_posts( array( 'numberposts' => $numberposts, 'orderby' => 'post_date' ) );
		?>
			<ul class="mini-grid">
				<?php foreach( $sidebar_posts as $post ) : setup_postdata($post); ?>
				<li class="mini-grid-thumbnail">
					<a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><?php the_post_thumbnail('mini-grid-thumb'); ?></a>
					<?php if ( in_category( 'Featured' ) ) { ?>
					<div class="featured-post"></div>
					<?php } ?>
					<?php if ( $current == get_the_ID() ) { ?>
					<div class="current-post"></div>
					<?php } ?>
					<div class="current-post-hover"></div>
				</li>
				<?php endforeach; ?>
			</ul>
		<?php echo $after_widget;
	}

	/** @see WP_Widget::update */
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['title'] = strip_tags($new_instance['title']);
		$instance['numberposts'] = strip_tags($new_instance['numberposts']);
		return $instance;
	}

	/** @see WP_Widget::form */
	function form( $instance ) {
		if ( $instance ) {
			$title = esc_attr( $instance[ 'title' ] );
			$numberposts = absint( $instance[ 'numberposts' ] );
		}
		else {
			$title = '';
			$numberposts = 15;
		}
		?>
		<p>
		<label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title:', 'hey-cookie'); ?></label>
		<input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" />
		</p>
		<p>
		<label for="<?php echo $this->get_field_id('numberposts'); ?>"><?php _e('Number of posts to display:', 'hey-cookie'); ?></label>
		<input id="<?php echo $this->get_field_id('numberposts'); ?>" name="<?php echo $this->get_field_name('numberposts'); ?>" type="text" value="<?php echo $numberposts; ?>" size="3" maxlength="2" />
		</p>
		<?php
	}

} // class Minigrid_Widget

// register Minigrid_Widget
add_action( 'widgets_init', create_function( '', 'register_widget("Minigrid_Widget");' ) );


function hey_cookie_theme_setup() {

	if ( function_exists( 'register_nav_menu' ) ) {
		register_nav_menu( 'tabmenu', __( 'Navigation Menu' , 'hey-cookie' ) );
	}

	$options = get_option('hey_cookie_theme_options');

	$hey_cookie_sidebarnumber = $options['sidebarnumber'];

	if ( ! isset( $content_width ) ) {

		if ( 'none' == $hey_cookie_sidebarnumber ) {
			$content_width = 1100;
		}
		else if ( 'one' == $hey_cookie_sidebarnumber ) {
			$content_width = 830;
		}
		else {
			$content_width = 620;
		}
	}

	add_theme_support('automatic-feed-links');

	add_custom_background();

	add_theme_support( 'post-thumbnails' );

	set_post_thumbnail_size( 1100, 400, true );
	add_image_size( 'single-post-thumb', 1100, 200, true );
	add_image_size( 'mini-grid-thumb', 50, 50, true );
	add_image_size( 'big-grid-thumb', 200, 200, true );

	load_theme_textdomain( 'hey-cookie', get_template_directory() . '/languages' );

	$locale = get_locale();
	$locale_file = get_template_directory() . "/languages/$locale.php";
	if ( is_readable( $locale_file ) ) {
		require_once( $locale_file );
	}
}

add_action( 'after_setup_theme', 'hey_cookie_theme_setup' );

?>