<?php
/**
 * @package Hey Cookie
 */

global $hey_cookie_standardclass;
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>

<head profile="http://gmpg.org/xfn/11">
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />

<title><?php wp_title('&laquo;', true, 'right'); ?> <?php bloginfo('name'); ?></title>

<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />

<?php if ( is_singular() && get_option( 'thread_comments' ) ) wp_enqueue_script( 'comment-reply' ); ?>

<!--[if lt IE 9]>
	<link rel="stylesheet" type="text/css" media="all" href="<?php echo get_template_directory_uri(); ?>/iecolors.css"/>
	<link rel="stylesheet" type="text/css" media="all" href="<?php echo get_template_directory_uri(); ?>/ie.css"/>
<![endif]-->

<?php wp_head(); ?>
</head>
<body <?php body_class( $hey_cookie_standardclass ); ?>>
<div class="headline">
	<div class="site-title">
		<?php
		$menu = has_nav_menu('tabmenu');
		if ( $menu ) {
			wp_nav_menu( array( 'theme_location' => 'tabmenu' ) );
		} ?>
		<h1 class="title"><a href="<?php echo home_url() ?>" title="<?php bloginfo('name') ?>"><?php bloginfo('name') ?></a></h1>
		<div class="tagline"><?php bloginfo('description'); ?></div>
	</div>
</div>
<div class="wrapper">
	<?php if ( is_day() ) : ?>
		<?php printf( '<h2 class="page_title">' . __( 'Daily Archives: %s', 'hey-cookie' ), get_the_date() . '</h2><hr class="divider"/>' ); ?>
	<?php elseif ( is_month() ) : ?>
		<?php printf( '<h2 class="page_title">' . __( 'Monthly Archives: %s', 'hey-cookie' ), get_the_date( 'F Y' ) . '</h2><hr class="divider"/>' ); ?>
	<?php elseif ( is_year() ) : ?>
		<?php printf( '<h2 class="page_title">' . __( 'Yearly Archives: %s', 'hey-cookie' ), get_the_date( 'Y' ) . '</h2><hr class="divider"/>' ); ?>
	<?php elseif ( is_category() ) : ?>
		<?php printf( '<h2 class="page_title">' . __( 'Category Archives: %s', 'hey-cookie' ), single_cat_title( '', false ) . '</h2><hr class="divider"/>' ); ?>
	<?php elseif ( is_search() ) : ?>
		<?php printf( '<h2 class="page_title">' . __( 'You searched for: %s', 'hey-cookie' ), get_search_query() . '</h2><hr class="divider"/>' ); ?>
	<?php elseif ( is_tag() ) : ?>
		<?php printf( '<h2 class="page_title">' . __( 'Tag Archives: %s', 'hey-cookie' ), single_tag_title( '', false ) . '</h2><hr class="divider"/>' ); ?>
	<?php endif; ?>
	<?php
	if ( is_home() || is_front_page() && function_exists( 'hc_slider' ) ) {
		hc_slider();
	}
	?>