<?php
/**
 * @package Hey Cookie
 */

get_header();

global $post;

$options = get_option('hey_cookie_theme_options');

if ( isset( $options['blogstyle'] ) && $options['blogstyle'] ) {
	$blogstyle = $options['blogstyle'];
}
else {
	$blogstyle = '';
}

$hey_cookie_sidebarplacement = $options['sidebarplacement'];

if ( is_dynamic_sidebar('sidebar1') && 'both' == $hey_cookie_sidebarplacement && 'standard' == $blogstyle ) {
	get_sidebar('sidebar1');
}
?>
	<div id="content" class="content">

	<?php if (have_posts()) : ?>

		<?php while (have_posts()) : the_post(); ?>
			<?php
				if ( 'standard' == $blogstyle ) {
			?>
			<div <?php post_class() ?> id="post-<?php the_ID(); ?>">
				<h2 class="page_title"><a href="<?php the_permalink() ?>"><?php the_title(); ?></a></h2>
				<small><?php the_time( get_option( 'date_format' ) ); ?> <?php _e( 'by' , 'hey-cookie' ) ?> <?php the_author() ?></small>

				<div class="entry">
					<?php the_content('<p>' . __( 'Read the rest of this entry' , 'hey-cookie' ) . ' &raquo;</p>'); ?>

					<?php wp_link_pages(array('before' => '<p class="clear"><strong>' . __( 'Pages:' , 'hey-cookie' ) . '</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); ?>

					<?php the_tags( '<p class="clear">' . __( 'Tags:', 'hey-cookie' ) . ' ', ', ', '</p>'); ?>

					<p class="clear">
						<?php _e( 'Posted in' , 'hey-cookie' ) ?> <?php the_category(', ') ?> |
						<?php edit_post_link( __( 'Edit', 'hey-cookie' ) , '', ''); ?>
					</p>

				</div>
			</div>
			<?php } else { ?>
			<div <?php post_class('big-grid-thumbnail') ?> id="post-<?php the_ID(); ?>">
				<a class="post-thumbnail" href="<?php the_permalink() ?>" rel="bookmark" title="<?php _e( 'Permanent Link to' , 'hey-cookie' ) ?> <?php the_title_attribute(); ?>"></a>
					<div class="postmetadata postmetadata-post-<?php the_ID(); ?>">
						<h2 class="page_title"><?php the_title(); ?></h2>
						<small><?php the_time( get_option( 'date_format' ) ); ?></small>
					</div>
					<?php
					$args = array(
						'post_type' => 'attachment',
						'numberposts' => 1,
						'post_status' => null,
						'post_parent' => $post->ID,
						'post_mime_type' => 'image' );
					$attachments = get_posts($args);

					if ( get_post_meta( $post->ID, 'square-thumb', true ) ) { ?>
						<img src="<?php echo get_post_meta( $post->ID, 'square-thumb', true ); ?>" alt="<?php the_title_attribute(); ?>" />
					<?php }
					else if ( has_post_thumbnail() ) {
						the_post_thumbnail('big-grid-thumb');
					}
					else if ( $attachments ) {
						foreach ( $attachments as $attachment ) {
							$thumburl = wp_get_attachment_image_src( $attachment->ID, 'medium' ); ?>
							<img src="<?php echo $thumburl[0]; ?>" alt="<?php the_title_attribute(); ?>" />
				<?php	}
					}
					else {
						?>
						<div class="no-post-thumbnail"></div>
					<?php } ?>
					<?php if ( in_category( 'Featured' ) ) { ?>
					<div class="featured-post featured-post-<?php the_ID(); ?>"></div>

				<?php } ?>
			</div>

		<?php } endwhile; ?>
	    	<div class="navigation">
				<?php next_posts_link('<div class="prev-corner"></div><div class="previous-link">< ' . __( 'Previous' , 'hey-cookie' ) . '</div>') ?>
				<?php previous_posts_link('<div class="next-corner"></div><div class="next-link">' . __( 'Next' , 'hey-cookie' ) . ' ></div>') ?>
			</div>


	<?php else : ?>
		<p><?php _e( 'Sorry, no posts matched your criteria.', 'hey-cookie' ) ?></p>
		<?php get_search_form(); ?>

	<?php endif; ?>

	</div>
<?php if ( is_dynamic_sidebar('sidebar1') && 'both' != $hey_cookie_sidebarplacement && 'standard' == $blogstyle ) {
	get_sidebar('sidebar1');
	} ?>
<?php if ( is_dynamic_sidebar('sidebar2') && 'standard' == $blogstyle ) {
	get_sidebar('sidebar2');
	} ?>
<?php get_footer(); ?>
