<?php
/**
 * @package Hey Cookie
 */

get_header();

global $post;

$options = get_option('hey_cookie_theme_options');

$hey_cookie_sidebarplacement = $options['sidebarplacement'];

if ( has_post_thumbnail() ) { ?>

	<div class="post-thumb-header-image">
		<?php the_post_thumbnail( 'single-post-thumb' ); ?>
	</div>

<?php }

if ( is_dynamic_sidebar('sidebar1') && 'both' == $hey_cookie_sidebarplacement ) {
	get_sidebar('sidebar1');
} ?>

	<div id="content" class="content">

	<?php if (have_posts()) : while (have_posts()) : the_post(); ?>

		<div <?php post_class() ?> id="post-<?php the_ID(); ?>">
			<h2 class="page_title"><?php the_title(); ?></h2>
			<small><?php the_time( get_option( 'date_format' ) ); ?> <?php _e( 'by' , 'hey-cookie' ) ?> <?php the_author() ?></small>

			<div class="entry">
				<?php the_content('<p>' . __( 'Read the rest of this entry' , 'hey-cookie' ) . ' &raquo;</p>'); ?>

				<?php wp_link_pages(array('before' => '<p class="clear"><strong>' . __( 'Pages:' , 'hey-cookie' ) . '</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); ?>

				<?php the_tags( '<p class="clear">' . __( 'Tags:', 'hey-cookie' ) . ' ', ', ', '</p>'); ?>

				<p class="clear">
					<?php _e( 'Posted in' , 'hey-cookie' ) ?> <?php the_category(', ') ?> |
					<?php edit_post_link( __( 'Edit', 'hey-cookie' ) , '', ''); ?>
				</p>

			</div>
			<div class="navigation">
				<?php next_post_link('<div class="prev-corner"></div><div class="previous-link">%link</div>') ?>
				<?php previous_post_link('<div class="next-corner"></div><div class="next-link">%link</div>') ?>
			</div>
		</div>

	<?php comments_template(); ?>

	<?php endwhile; else: ?>

		<p><?php _e( 'Sorry, no posts matched your criteria.', 'hey-cookie' ) ?></p>
		<?php get_search_form(); ?>

<?php endif; ?>

	</div>
<?php if ( is_dynamic_sidebar('sidebar1') && 'both' != $hey_cookie_sidebarplacement ) {
	get_sidebar('sidebar1');
	} ?>
<?php if ( is_dynamic_sidebar('sidebar2') ) {
	get_sidebar('sidebar2');
	} ?>
<?php get_footer(); ?>
